Bug 1052 - cannot join a w2k-client to a Samba-PDC (with LDAP)
cannot join a w2k-client to a Samba-PDC (with LDAP)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.1
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-09 08:32 UTC by IOhannes m zmölnig
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description IOhannes m zmölnig 2004-02-09 08:32:31 UTC
i am trying to set up a samba-server as PDC with LDAP-backend.
my system is: debian/woody with a samba-3.0.1 backport (from backport.org)

i have created a machine-account for my w2k-client "CLIENT$"
there is a sambaSamAccount for "root" in the ldap;
using "smbpasswd" to create sambaSamAccount's out of posixAccounts in the ldap
works perfectly
i can mount shares from the samba-server onto the w2k-client with user "root"
and the secret password using "net use x: \\SERVER\netlogon /USER:root"

when trying to join the domain from the CLIENT, i give user "root" and the
secret password.
after some (rather short) time i get a pop-up "unknown user/passord" (or
similar; it is german...)
reading the log.smbd-file it says something about "decode_pw_buffer: incorrect
password length (-1474045907)"

using 3.0.0final (as it is called in debian) joining the domain works perfectly.


unfortunately i cannot provide any solutions.

mfg.a.sdr
IOhannes
Comment 1 Gerald (Jerry) Carter 2004-10-29 08:11:57 UTC
please retest 3.0.8 once it is released and reopen if not fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:44 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.